post
https://api.aerocrs.com/v5/createDeposit
A new method which allows us to create a deposit amount for either an agency or direct customer.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
ImportantAllow to send multiple elements for mass creation.
Allow to send only one parameter:
in case of direct customer use customeremail or customerid ;
in case of agency use agencyemail or agencyid.
Request parameters
| Parameter | Type | Description |
|---|---|---|
| customeremail | Customer email | |
| customerid | Number | Customer ID (from getCustomerDataNew) |
| agencyemail | Agency email | |
| agencyid | Number | Agency ID (from getAgency) |
| currency | String* | Deposit Currency 3 letters code |
| amount | Number* | Total amount to be added to Deposit account with the mentioned currency |
| additionalinfo | String | Remark |
| paymentmethod | String | Type of payment (Cash, Cheque, Debit Card, Bank Transfer) |
Response
This method will respond with a list of all available total deposit and it’s currency of the customer or agent.
| Parameter | Type | Description |
|---|---|---|
| success | String | true/false |
| depositBalance | Element | Customer/Agency Total Deposit details per Currency |
| customeremail/customerid | Element | Customer E-mail or ID that was sent in request |
| agencyemail/agencyid | Element | Agency E-mail or ID that was sent in request |
| curencyname | String | Deposit Currency 3 letters code |
| amount | Number | Total amount of Deposit with the mentioned currenc |
| Optional error messages: |
|---|
| No {field name} defined on segment {i} |
| mandatory fields misssing: {fields name} |
| You do not have permission to do this action |
| Company currency not found on segment {i} |
| Please send customer/agency credential on segment {i} |
| Please choose to add deposit to customer or agent on segment {i} |
| The amount parameter must be greater than zero on segment {i} |
| Customer not found on segment {i} |
| Agency not found on segment {i} |
| Unexpected error, please try again later |

